std::pointer_traits< _Tp * > Struct Template Reference
Utilities » Memory » Pointer Abstractions

## Public Types

typedef ptrdiff_t | difference_type
typedef _Tp | element_type
typedef _Tp * | pointer
template<typename _Up >
using | rebind = _Up *

## Static Public Member Functions

static pointer | pointer_to (typename __ptrtr_not_void< element_type >::__type &__r) noexcept

## Detailed Description

### template<typename _Tp>
struct std::pointer_traits< _Tp * >

Partial specialization for built-in pointers.

Definition at line 150 of file ptr_traits.h.

## Member Typedef Documentation

## difference_type

template<typename _Tp >

typedef ptrdiff_t std::pointer_traits< _Tp * >::difference_type

Type used to represent the difference between two pointers.

Definition at line 157 of file ptr_traits.h.

## element_type

template<typename _Tp >

typedef _Tp std::pointer_traits< _Tp * >::element_type

The type pointed to.

Definition at line 155 of file ptr_traits.h.

## pointer

template<typename _Tp >

typedef _Tp* std::pointer_traits< _Tp * >::pointer

The pointer type.

Definition at line 153 of file ptr_traits.h.

## Member Function Documentation

## pointer_to()

template<typename _Tp >

static pointer std::pointer_traits< _Tp * >::pointer_to | ( | typename __ptrtr_not_void< element_type >::__type & | __r | ) |

inline static noexcept

Obtain a pointer to an object.

Parameters

  __r | A reference to an object of type `element_type`

Returns
  `addressof(__r)`

Definition at line 168 of file ptr_traits.h.

References std::addressof().

The documentation for this struct was generated from the following file:

- ptr_traits.h